CompositeAttributeDef (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.CompositeAttributeDef interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface CompositeAttributeDef

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

    public interface CompositeAttributeDef

extends ManagedElement

Naming Rules:
  0="parent,objectClass"
Persistable:
  true
Table Name:
  COMPATTRDEF

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAttributeList()` A comma separate list of attribute names that are part of the Composite definition.
`java.lang.String` | `getObjectClass()` Name of object class that is part of the composite.
`CompositeDef` | `getParent()`
`boolean` | `hasAttributeList()`
`boolean` | `hasObjectClass()`
`boolean` | `hasParent()`
`void` | `setAttributeList(java.lang.String s)`
`void` | `setObjectClass(java.lang.String s)`
`void` | `setParent(CompositeDef s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    CompositeDef getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(CompositeDef s)

### hasParent

    boolean hasParent()

### getObjectClass

    java.lang.String getObjectClass()
                                    throws AttributeNotSetException

  Name of object class that is part of the composite.

  Throws:
    `AttributeNotSetException`

### setObjectClass

    void setObjectClass(java.lang.String s)

### hasObjectClass

    boolean hasObjectClass()

### getAttributeList

    java.lang.String getAttributeList()
                                      throws AttributeNotSetException

  A comma separate list of attribute names that are part of the Composite definition.

  Throws:
    `AttributeNotSetException`

### setAttributeList

    void setAttributeList(java.lang.String s)

### hasAttributeList

    boolean hasAttributeList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD